Examples

PUT /katello/api/activation_keys/568942081
{
  "organization_id": 114267492,
  "activation_key": {
    "name": "New Name"
  }
}
204

Params

Param name Description
organization_id
required

organization identifier

Validations:

  • Must be a number.

description
optional

description

Validations:

  • String

max_hosts
optional

maximum number of registered content hosts

Validations:

  • Must be a number.

unlimited_hosts
optional

can the activation key have unlimited hosts

Validations:

  • Must be one of: true, false, 1, 0.

release_version
optional

content release version

Validations:

  • String

service_level
optional

service level

Validations:

  • String

purpose_usage
optional

Sets the system purpose usage

Validations:

  • String

purpose_role
optional

Sets the system purpose usage

Validations:

  • String

content_view_environments
optional

Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified.

Validations:

  • Must be an array of any type

content_view_environment_ids
optional

Array of content view environment ids to be associated with the activation key.

Validations:

  • Must be an array of any type

id
required

ID of the activation key

Validations:

  • Must be a number.

name
optional

name

Validations:

  • String